2022.12.22 Version 10.0

强烈建议升级，这个版本更新了大量的细节，以下更新记录不能涵盖，难以一一记录。

◇ 修正
1、【批量编辑中文游戏名工具】中，一旦编辑了“文本编辑工具”，再选择表中项目，右侧图片浏览失效。
2、批量更名模式全局设置中的【查找替换内容编辑器】设置的内容不能保存、不能及时应用到更名中。
3、【使用MISSINGAPP标志】复选框设置不能及时应用到表格和更名中。
4、使用表格自动列宽功能后，文件列表内每列最长的文字都差一点点未显示完整。
5、【导出游戏收集情况列表】中“UPD收集结果”那一列即使是需要更新的游戏还是显示“拥有最新UPD”的问题。
6、【批量保存各主题图片到相应游戏文件处】如遇到无图片的DLC文件时会弹出错误对话框。
7、当载入整合nsp文件（Multi-NSP或Multi-NSZ）时，列表“游戏组成情况”列为空。
8、【游戏文件分发归档整理】初始化列表时，如果出现哪怕一个保存方案中没有的，整个列表都会直接用自动方案（紫色）代替。
9、【游戏数据库查询模式】中的【标记游戏】由于算法的原因颜色标记不正确的错误。
10、当upd联合解包时选择了base的nca或ncz文件，完成了会将这个文件误删除。
11、批量更名当文件名为空时漏处理了nsz和xcz文件类型。
12、修正列表中文名列编辑状态的Ctrl-C复制总是复制当前格全部文字的问题。
13、其它小细节的修正。

◇ 调整
1、调整rom缓存内部参数，缩减缓存配置文件的大小，缓存文件夹可随主exe文件移动了。
2、将游戏图片文件夹名调整为“gamepics”，rom缓存文件夹名调整为“romdata_cache”，更清晰，避免误删除。
3、在操作系统缩放大于100%时，许多子窗口过大且不规整的问题。
4、重写了版本比较功能函数，速度更快。
5、“语言显示设置”将优先级的“美国英语”调整为“英语”，将英国英语包含在“英语”中。
6、【批量编辑中文游戏名工具】调整为“中文游戏名批量编辑模式”，从弹出对话框调整为整合到软件界面中，用快捷键F3切换。
7、“中文游戏名批量编辑模式”的使用进行了改进，解决了之前“文本编辑工具”一变化就导致“表格编辑工具”重置。
8、各种位置增加时间计量、进度条显示、悬停提示……
9、工具栏的调整和快捷键的调整。
10、【游戏文件分发归类整理】界面的调整。
11、大量细节的调整和优化。

◇ 增加
1、增加文件列表选中的游戏文件复制到剪贴板，可在 MTP 虚拟文件夹中粘贴安装游戏至游戏机。
2、增加匿名线程加载数据库功能，在主界面正常（非右键、自动、命令行载入）启动和双击关联简洁模式（非获取更多信息）启动后，为载入游戏文件或获取更多信息节省时间。
3、增加智能识别文件格式功能。错误的扩展名会在列表文件名列文字标识为红色。
4、增加“一键批量纠正扩展名”功能。
5、增加rom压缩解压的进度显示，增加压缩级别设置。
6、右侧工具栏目录树增加nca内容类型查看的功能。
7、【游戏数据库查询模式】增加游戏兴趣标记功能。
8、批量更名模式“批量更名全局设置”中增加“添加魔改标志”选项，即在签名校验失败的文件名前增加“[MG]”。
9、增加重置所有弹出对话框的默认值功能，可重置已标记下次不弹出的对话框。
10、增加重置程序所有参数配置并再次执行功能，在ini文件参数混乱时软件可自我修复。
11、【游戏文件分发归档整理】中增加：
（1）分发后删除总容量为空的源文件夹功能。
（2）分发时DLC单独存放文件夹功能。
（3）增加“游戏是否有中文”的标签选择。
（4）增加统一剔除文件夹名中的非法字符功能。
12、【导出游戏收集情况列表】功能增加“地区”列。
13、信息查看模式的【列表内容搜索与过滤】增加了若干过滤选项。
14、【批量下载/查看游戏图片工具】中增加“扫描并移除无用的文件”功能。

◇ 更新
1、更新NSGMShlExt.dll。如已安装资源管理器右键菜单，更新方法：管理员执行软件->卸载资源管理器右键菜单->注销->覆盖新dll文件。
2、更新ncztool.dll，zStandard版本：0.15.2。
3、更新ExtData1.dat，20221212 23:10更新，34317[ROM]=13171[APP]+7838[UPD]+13308[DLC]。
4、更新ExtData2.dat，13222个游戏，13022个中文游戏名，修正了多个中文游戏名，nswdb更新至2615。


2022.11.10 Version 9.8

◇ 调整
1、取消关联时立即刷新操作系统图标缓存。

◇ 增加
1、【导出游戏收集情况列表】功能增加“支持中文”列，并在导出过程中增加了进度条显示。

◇ 更新
1、更新ncatool.dll（版本号：20221110_0xE），修正某些特殊rom载入导致软件崩溃的现象（如：ARK Survival Evolved [0100D4A00B284000][v196608].nsp），软件兼容性更强。
2、更新ncztool.dll，zStandard版本：0.15.2。
3、更新ExtData1.dat，20221110 19:15更新，12809个游戏。
4、更新ExtData2.dat，12706个中文游戏名，修正了多个中文游戏名。


2022.10.13 Version 9.7

◇ 更新
1、更新prod.keys文件至master_key_0e。（prod.keys为网上获取，本软件版权不包含此文件，请试用本软件后24小时内删除）
2、更新ncatool.dll，完善Rom信息中的“主钥版本”信息至0xE。
3、更新ExtData1.dat，20221013 15:37更新。
4、更新ExtData2.dat，12363个中文游戏名。


2022.4.30 Version 9.6

◇ 修正
1、简洁模式中点击“进入软件”按钮，文件列表中本应载入简洁模式的游戏文件，但为空。

◇ 增加
1、增加“解包 upd 文件时联合 base 文件一起解包”的选项，使得功能更清晰。

◇ 增加
1. 软件中的文件列表等若干列表增加智能排序功能，类似于Windows资源管理器的排序。


2022.2.6 Version 9.3

◇ 增加
1、增加【启动时自动载入内容设置】，允许用户指定软件启动时自动载入指定游戏文件。在“文件”菜单内。
2、增加【编辑并载入文件或文件夹列表】，用户可选择此功能作为文件夹或游戏文件的载入方式，并保持记忆。在“文件”菜单内。
3、增加二套关联图标，其中一套图标作者为 illyasever。


2022.1.1 Version 9.2

◇ 修正
1、只运行一个程序实例时，使用资源管理器右键再次加载游戏时无效。
2、翻译错误，“游戏类型”中的“拼图”修正为“益智”。
3、【外部参照数据库查看工具】中的图片无法弹出鼠标右键菜单。

◇ 调整
1、【外部参照数据库查看工具】改为【游戏数据库查询模式】，并由独立模式窗口改为主窗口，与文件列表界面可随时切换，快捷键为F1。
2、工具栏布局的调整。
3、一大批提示对话框改为可选中下次不提示的对话框。

◇ 增加
1、【游戏数据库查询模式】中的数据库列表按照文件列表已载入的内容做出颜色标记。
2、下载模块添加清理缓存功能，避免缓存存在时永远下的都是错误的文件。
3、【查看】菜单中增加“还原主窗口默认尺寸”功能。
4、增加一套关联图标，作者为Question。


2021.11.28 Version 9.0

◇ 修正
1、★重大更新！载入rom时由于需要在内存中创建图像用以显示文件列表图标，以本人的16GB内存电脑实测：之前版本的64位软件最多载入8000个文件以上即告崩溃，本版开始32位软件最多载入12000个文件左右，64位软件载入最大数不低于60000个，已足够用户使用（载入最大文件数与提取图片大小和用户内存大小息息相关）。在此推荐用户尽量使用64位软件，结合新增的【文件列表载入图片比例设置】功能可使一次性载入的rom数量进一步增加。
2、【游戏文件校验】功能正在进行数据哈希校验时，点击“终止校验”按钮无反应的问题。
3、列表右键菜单【重新读取并载入选中的游戏文件】后显示签名校验结果有时候颜色无变化。
4、简洁模式中查看“Rom组成”未返回，双击打开另一个文件时各项目文字还是蓝色状态。
5、签名校验只校验meta的nca，所以某个rom非meta的nca未通过，文件列表文字也不会显示暗红色……本版本打开【游戏文件校验】对话框后会修正文件列表的显示。
6、“包含语言”内容有时候会显示“菲菲的家”的问题。
7、增加了【提取并解密NCA】和【提取并解包NCA】二个按钮必须选择不能带有中文（宽字节字符）路径位置的提示。
8、修正了8.8版本【提取文件】、【提取并解密NCA】和【提取并解包NCA】三个按钮及文件列表右键【将选中游戏文件复制（移动）到...】用户选择位置只保存到其上级文件夹的问题，改为保存用户选择实际位置。
9、简洁模式下，【ROM组成】列表第三列游戏名称未能随主程序语言设置变化的错误。
10、刷新文件列表或切换显示语言时，meta版本比较两次的问题。
11、其它若干问题的修正。

◇ 调整
1、★重大更新！为更好的利用游戏文件缓存，从本版本起数据缓存中游戏文件标识字段升级。缓存识别不再依赖全路径文件名，文件可随意更名、移动、手工整理，只要不修改文件，缓存可永久使用，快速加载。
2、增加【载入时全面签名校验】复选框，替换工具栏中【只运行一个程序实例】复选框位置，原【只运行一个程序实例】复选框调整至“查看”菜单。
3、调整“功能操作”菜单中的【游戏文件分发归类整理】快捷键为F8。
4、主文件列表中“SDK版本(Meta)”列调整为“SDK版本(Program)”。
5、部分子窗口适应低分辨率或高缩放屏幕显示。
6、主文件列表中的“游戏描述”列不再参与【表格自动列宽】功能。
7、【游戏文件校验】对话框（F6功能）名称变更为【游戏文件内部信息及校验】。

◇ 增加
1、★重要更新！双击打开和关联nro文件，简洁模式读取nro文件信息。
2、★重要更新！增加获取游戏文件的Build ID功能。此功能在【游戏文件内部信息及校验】（F6功能）对话框中，或点击“菜单->功能操作(O)->文件列表当前游戏文件的 Build ID 获取(B)”。
3、★重要更新！右侧面板【工具】页【提取并解包NCA】按钮新增upd文件的nca联动base的nca解包功能，自动识别upd的nca并自动查找文件列表中的相应base游戏文件，列表中没有时允许用户自主选择，解包upd的nca不再仅限于解出ExeFS。
4、增加rom批量签名校验功能，见【菜单->功能操作->文件列表所有游戏文件批量签名校验】，快捷键为Ctrl+F6。本功能也同时精准签名校验结果，并填写主文件列表的“SDK版本(Program)”列数据。
5、增加【载入时全面签名校验】复选框，选中后载入文件时，签名校验将检测所有nca，同时填写主文件列表的“SDK版本(Program)”列数据。此功能将增加文件的载入时间，用户可根据需求自行选择使用。
6、增加【文件列表载入图片比例设置】功能，见“查看”菜单。这个设置默认是载入256x256全比例题图，平时不用改动，只有一次性载入的rom数量过多而导致软件内存溢出而崩溃时（一般不会出现这种情况），可适当降低载入题图的比例。
7、批量更名全局设置中增加字符串替换功能，替换支持多项替换，新旧字符串用”|“分开，一一对应。
8、批量更名全局设置中增加删除游戏机中无法识别的字符功能。


2021.10.29 Version 8.8

◇ 修正
1、紧急修正【游戏文件校验】对话框点击“文件校验”按钮出现的致命错误。
哈哈哈，昨天~草率了~~


2021.10.28 Version 8.7

◇ 修正
1、当文件列表只有一个游戏文件时，使用右键【重新读取并载入选中的游戏文件】功能重载不成功时出现List index out of bounds错误。
2、当romdata文件夹不存在时，双击关联文件执行简洁模式后会弹出不能建立HistoryData.fdb文件的错误。
3、其它一些错误的修正。

◇ 调整
1、为增强与Win11的兼容性，【载入文件】可同时载入多个文件，但不能同时载入文件夹；【载入文件夹】可同时载入多个文件夹，但不能同时载入文件；所有”定位选择文件夹“均改为系统对话框。
2、更新开发平台，软件进行了一些细节的调整。

◇ 增加
1、【列表内容搜索与过滤】增加过滤签名校验失败的游戏文件和版本老旧的游戏文件功能。
2、完善主钥版本信息，增加MasterKey 0xB、MasterKey 0xC的支持。
3、重写【整理并导出当前游戏文件列表至Excel文件】功能模块，用户可自定义生成表格列的内容和顺序。
4、【批量编辑中文游戏名工具】增加列表选中对应的游戏图片显示参照，编辑游戏中文名更加方便。
5、【游戏文件校验】对话框增加列表列的自定义顺序和宽度功能。


2021.3.31 Version 8.6

◇ 修正
1、外部参照数据库查看工具中DLC数据表查询游戏名称是出现的List index out of bounds错误。
2、修正了一个误判【外部参考数据库 ExtData1.dat 需要更新！！！】的错误。

◇ 调整
1、增强了读取NACP中语言及标题图片方面的兼容性。
2、【显示版本比较】、【文件列表以游戏为单位排序】、【文件清理的智能选择】、【游戏文件分发归类整理】等等功能的完善，避免假死，增加进度条显示等
3、一些细节的调整。


2021.1.31 Version 8.5

◇ 修正
1、已修正【列表内容搜索与过滤】功能中搜索内容多项并列功能失效，例如搜“ROM类别”：XCI|APP|upd。
2、【外部参照数据库查看工具】中的搜索增加过滤模式时漏掉了DLC数据列表部分的代码忘了写。

◇ 调整
1、文件列表右键菜单移动功能均根据结果来修改本地游戏数据记录，再次载入仍为快速载入。
2、其它细节的调整。

◇ 增加
1、游戏文件分发归类整理功能。
2、文件列表增加【地区】列，右侧信息栏、简洁模式均增加【地区】信息，批量更名增加【地区】标签。
3、文件关联图标方案选择后立即刷新系统并更新图标缓存。
4、【外部参照数据库查看工具】单元格的文本复制进剪贴板功能。


2021.1.2 Version 8.1

◇ 修正
1、某些情况下软件临时文件夹未能建立导致的错误。
2、【显示版本比较结果】有时候某些操作会显示错误。

◇ 增加
1、文件关联图标方案选择。
2、【批量字符串匹配游戏信息】增加图片列匹配及导出到Excel。
3、【外部参照数据库查看工具】中的搜索增加过滤模式。


2020.12.25 Version 8.0

◇ 修正
1、载入某种XCZ可能出现未识别的问题。

◇ 调整
1、大量细节、文字表述、易用性等的调整。

◇ 增加
1、游戏文件签名校验和哈希校验。
2、文件列表以游戏为单位排序。
3、无用或过时游戏文件清理的智能选择。
4、支持NSP与NSZ、XCI与XCZ的互转。
5、列表右侧【工具】页中的【游戏文件结构】支持NCZ的提取、解压、解密和解包。
6、增加当前选中单元格或列的文本复制进剪贴板功能。
7、数据库ExtData1.dat升级方法1【一键升级】增加可选下载地址。
8、【外部参照数据库查看工具】”APP 和 UPD 数据列表“中增加了“DLC数量”一列。
9、增加数据库中Demo游戏的识别，导出游戏收集情况的列表时直接将Demo游戏屏蔽。
10、文件关联新增使用不同图标代表不同文件类型功能。


2020.10.13 Version 7.8

◇ 修正
1、因UAC导致的申请码不一致问题。
2、用户更名模板一处错误。
3、【导出游戏收藏列表】功能的一处小错误。

◇ 增加
1、批量更名模式下【信息标签表达式（无扩展名）】编辑框自动载入上次用户使用内容。
2、增加一个修改“Windows系统用户账户控制（UAC）设置”的小工具，与系统自带的区别是，它可彻底关闭UAC。


2020.8.28 Version 7.7

◇ 修正
1、简洁模式不选“获取更多信息”选中“只运行一个程序”并点击“获取更多信息”按钮后，下一个双击不显示更多信息的问题。
2、简洁模式双击打开第一个文件后再双击打开第二个文件，此时点击“获取更多信息”按钮后显示第一个文件文件信息的问题。
3、缩放与布局存在自定义缩放设置时的窗口显示存在的问题。（尽量使用“缩放与布局”中的“更改文本、应用等项目的大小”，而不使用“高级缩放设置”里面的“自定义缩放”设置，系统对“自定义缩放”也是“不建议”的。当然本软件尽量做到“自定义缩放”兼容，如还有不兼容的问题，可作为bug告知我）
4、批量更名一处总文件列表未更新的错误。
5、修正7.6版本在文件管理方面（如删除等操作）反应迟钝的问题。

◇ 增加
1、数据库升级时，进一步检查下载的文件是否存在问题，存在问题时报错。


2020.8.20 Version 7.6

◇ 修正
1、【批量查看游戏图片工具】打开时可能会因为上次选中的图片数太大出现假死的问题。
2、卸载关联一次操作不能成功的问题。
3、主程序路径中带空格时，资源管理器右键菜单项安装失败的问题。
4、资源管理器右键菜单的图标因为“缩放与布局”的设置原因显示过大或不全，修正后随系统放大或缩小，变得美观了。如已安装了“右键菜单”，则更新 NSGMShlExt.dll 的方法为：将原位置同名文件改名（不能删除或覆盖但能改名），然后将新的 NSGMShlExt.dll 文件拷贝至相同位置，注销或重启之后即可删掉已更名的老dll文件。
5、修正某些列表文件已不存在情况下再次添加文件出现的错误（在软件开启且已载入文件的情况下，资源管理器手动更改相应已载入的文件路径会导致不可预知的错误，如确需手动修改，强烈建议关闭软件后进行）。
6、其它的一些修正，例如状态栏数据信息统计的修正等。

◇ 调整
1、【整理并导出当前游戏列表至Excel文件】增加了“文件大小（友好）”列。
2、部分界面显示文字的调整和修改。

◇ 增加
1、在用户主动安装文件关联后，软件启动检查关联有效性。用户未主动安装或主动卸载文件关联的，不检查。
2、简洁模式中增加【允许DLC借用图片】选项，可借用数据缓存或图片库中已有的对应主游戏标题图片。


2020.7.24 Version 7.5

◇ 修正
1、简洁模式中在选中”只开启一个程序实例“后查看多个ROM信息时点击”启动主界面“后载入的ROM不是最后一个的错误。
2、“批量更名模式”中“批量更名设置”中的部分字符串内容保存出现错误。
3、选择列表中的DLC文件时，会弹出错误对话框的问题。

◇ 调整
1、修改 ExtData2.dat 数据库结构，使软件读取信息更快了。之前老版本软件不能读取 7.5 及之后版本的 ExtData2.dat 数据库了。
2、将“使用MISSINGAPP标志”复选框移动至【批量更名模式】的标签面板中。

◇ 增加
1、“主模式”也增加了“只运行一个程序实例”复选框，用资源管理器右键分次载入文件时可以载入一个列表中了。
2、增加游戏海报、截图的扩展功能，增加了图片右键菜单，增加了内部图片浏览器等等功能。


2020.7.12 Version 7.0

◇ 修正
1、提醒“外部参考数据库 ExtData1.dat 需要更新”相关问题的修正。
2、【整理并导出当前游戏列表至Excel文件】导出列表中的“运行最小系统”列内容错误。
3、其它一些问题修正。

◇ 调整
1、调整读取整合游戏ROM的算法，增强对整合游戏ROM的兼容性（7.0版本更新重点）。
2、将数据名称“游戏评级”调整为“年龄等级”。

◇ 增加
1、游戏文件类型系统关联，以及资源管理器双击文件调用软件并直接查看ROM信息的功能。
2、增加资源管理器右键菜单功能，直接在资源管理器中选择文件并右键调用软件。
3、从此版本开始，开始支持将自制ROM载入列表中显示信息（原来较为严谨和保守，现开放此功能）。
4、菜单【外部参考数据库查看工具】增加游戏图片显示。
5、游戏文件增加【是否包含 Html手册】、【账户关联需求】、【存档日志数据大小】、【存档数据大小】信息显示。

◇ 其它
赶巧今天发布，祝菲菲生日快乐！！^_^


2020.5.26 Version 6.2

◇ 修正
1、外部参考数据库ExtData1.dat升级时增加下载后文件的数据校验，避免升级结果出现意外。
2、外部参考数据库ExtData2.dat升级时增加下载后文件的数据校验。
3、【批量编辑中文游戏名工具】点击列表表头排序后选择列表内容后崩溃的问题。
4、【批量字符串匹配游戏信息】载入文本文件至表格时特别慢的问题。
5、拖入文件夹时路径显示有错误。

◇ 调整
1、修正【所需系统】（即【运行最小系统版本】）功能的算法，并将右侧信息栏中的【SDK版本】替换为【所需系统】。
2、【外部参照数据库 ExtData2.dat 升级...】调整为对话框形式，操作功能更清晰。
3、软件主界面【列表内容搜索与过滤】功能调整为结果直接在列表内显示，搜索后不再需要返回。
4、调整数据库载入方式，只要载入一次就不用再载入，提高了程序的流畅性。
5、调整【批量编辑中文游戏名工具】，操作更方便快捷。
6、调整了RomInfo对话框的自动显示模式。

◇ 增加
1、增加文件列表【显示版本比较结果】功能，将版本低了的ROM标记颜色，颜色可自定义。
2、增加【显示签名校验结果】颜色自定义。
3、增加Windows登录用户名判断，提示需要使用英文用户名登录Windows，软件才能正常运行。


2020.5.4 Version 6.1

◇ 修正
1、文件文件列表左边的行指示器问题，点击空行指示器时会报错。
2、批量下载图片完成后“下载选择和操作”信息显示未更新。
3、Windows系统除简体中文之外其它区域文字出现Unicode显示问题，感谢Jeff的反馈。
重要告知：
下载新版本软件包后，如不替换整个软件包，也请务必更换 ExtData2.dat 文件和主执行文件！！！
从6.1版本开始，今后版本不再支持6.0版本软件包中的 ExtData2.dat 文件！！！
之后不再提醒此告知，给您带来的不便，敬请谅解。

2020.5.2 Version 6.0

◇ 修正
1、修复软件载入游戏文件时的一处错误。
2、修复批量更名一处错误。

◇ 调整
1、文件列表表头、批量更名模式标签和右侧信息面板将MasterKey统一名称为“主钥版本”。
2、更换数据库，新的数据库更全、更新、信息量更大且易于更新。

◇ 增加
1、软件右侧信息面板增加了游戏的最新版本、发布日期、游戏类型、游戏评价、游戏简介和游戏描述等信息，并且可以获取游戏标题图片、游戏海报及截图。
2、批量更名功能增加了若干标签。
3、增加通过识别字符串中的TitleID来获取数据库相应游戏信息、达到“翻译”原始字符串目的的工具。
4、增加用户补充和修改中文游戏名称的工具。
5、增加了一目了然的Rom信息显示窗口。
6、增加批量下载图片工具。
7、增加数据库升级功能。
8、增加游戏文件的快速签名校验功能。
9、更新nactool.dll文件。
10、更新prod.keys文件（prod.keys文件来自于网络，请试用后24小时内删除）。


2019.10.27 Version 5.5

◇ 修正
1、软件执行后ESC键无效的问题。

◇ 增加
1、增加支持NSZ、XCZ文件格式。
2、增加是否使用#MISSINGAPP#标识的开关。
3、增加用户自定义更名模板功能。


2019.10.16 Version 5.2

◇ 调整
1、批量更名模式标签【文件大小】改为【载体性质】。

◇ 增加
1、增加读取多Rom整合的NSP格式文件信息读取。
2、补充MasterKey7，增加MasterKey8的key，增加MasterKey9的支持。
3、整理数据库并更新为最新。


2019.9.18 Version 5.0

◇ 修正
1、重新载入选中文件并更新列表和本地数据记录Bug的修正。
2、批量更名过滤非法字符时缺了双引号问题的修正。
3、批量更名时出现假死状态问题的修正。
4、Excel外部参考数据库关于游戏最新版本载入错误的修正。
5、其它一些问题修正。

◇ 调整
1、读取XCI游戏（特别是网友自转不规则的XCI）的兼容性进一步增强。
2、缩小窗口时右侧信息栏无限缩小的问题解决。
3、外部参照数据库编辑器照顾分辨率小些的显示器并增加自定义分辨率记忆。

◇ 增加
1、可做到配合菲菲更名宝贝软件文件归类功能，使整理游戏自动化。
2、文件列表增加同一归属游戏共用属性信息列。
3、批量更名增加和调整标签，分为同一归属游戏共用标签和不同文件本身标签两类。
4、允许用户在文件列表内直接添加或修改游戏中文名称，并直接保存至外部参考数据库。
5、自定义文件列表列显示与隐藏。
6、批量瘦身文件列表中的XCI游戏文件。
7、增加底部消息面板，随时列出各种软件操作的结果或错误信息。
8、批量更名标签表达式增加模板选择。
9、批量更名增加标签内容前后缀设置。


2019.8.20 Version 4.0

◇ 修正
1、有时弹出错误对话框的问题。
2、其它一些问题修正。

◇ 调整
1、放弃调用外部程序hactool.exe解密nca文件，自行编制解密nca文件的dll文件，载入速度大幅提高。
2、放弃使用多个xml作为外部参照数据库，改为使用一个Excel文件作为外部参照数据库。
3、调整算法改进形成本地数据后再次载入的速度。

◇ 增加
1、增加XCI游戏文件的分析功能，右侧面板可以列出XCI中的ROM组成细节并可以查看其详细数据。
2、增加Excel文件的外部参照数据库编辑功能。
3、增加导出游戏收集情况列表功能，生成Excel文件，清楚的标记出来游戏本体、最新UPD和DLC的拥有和缺失情况。
4、增加导出文件列表中的游戏ROM列表功能，生成Excel文件。
5、增加文件列表内容的搜索功能。
6、文件列表右键增加了选择不同种类的文件。
7、增加了单独提取解密nca文件的功能。


2019.6.25 Version 3.0

◇ 修正
1、游戏文件结构目录树为空时，点击提示错误。
2、批量更名模式时文件列表不能及时更新。
3、其它一些问题修正。

◇ 增加
1、保存本地数据库功能，读取过的文件无需重新读取，节省载入时间。
2、增加文件列表右键功能，集成了文件操作和文件列表项操作。


2019.6.9 Version 2.0

◇ 修正
1、批量更名时如遇到重名时出现的问题。
2、其它一些问题修正。

◇ 增加
1、单个游戏文件信息面板、工具面板。
2、XCI文件瘦身、游戏卡证书管理。
3、XCI或NSP格式游戏内部文件提取和解压。
4、批量保存主题图片到相应游戏文件位置。
5、增加文件列表各列自定义顺序的记忆。
6、添加指定路径手动载入游戏文件功能。
7、添加窗口大小位置记忆。


2019.5.31 Version 1.0

◇ FFHOME NSGame Manager v1.0 发布